<?php
/**
 * @file
 * Admin pages for the XMLsitemap PDFs module.
 */

/**
 * Settings form.
 */
function xmlsitemap_pdf_settings_form($form, &$form_state) {
  $form = array();

  $form['info'] = array(
    '#type' => 'fieldset',
    '#title' => t('PDFs in the sitemap'),
  );

  $count = db_query("SELECT COUNT(id) FROM {xmlsitemap} WHERE type = 'file' AND access = 1 AND status = 1")->fetchField();
  $form['info']['count'] = array(
    '#type' => 'markup',
    '#markup' => '<strong>' . t('Number of PDFs:') . '</strong>' . ' ' . $count,
  );

  $freq_options = xmlsitemap_get_changefreq_options();
  $changefreq_default = variable_get('xmlsitemap_pdf_changefreq', '2419200');
  $form['xmlsitemap_pdf_changefreq'] = array(
    '#type' => 'select',
    '#title' => t('Change frequency for PDFs'),
    //'#description' => t('When this value changes all PDFs in the sitemap will be updated.'), @todo
    '#options' => $freq_options,
    '#default_value' => $changefreq_default,
  );

  return system_settings_form($form);
}


// @todo add a submit handler that will update the sitemap on change.
